Quassel IRC - Bug #1511

Regression in 0.13: dynamically ignored messages still produce highlight notifications (buffer
activity)
01/25/2019 03:05 PM - Smarter

Status: Resolved Start date: 01/25/2019
Priority: Normal Due date:

Assignee: digitalcircuit % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.14.0

Version: 0.13.0 0S: Any
Description

Since upgrading from 0.12 to 0.13, I've noticed some channels sending me highlight notifications without any actual highlight visible
when | visited the channel, | then realized this was because these notifications were for messages that matched my ignore list. I'm
assuming this is related to https://bugs.quassel-irc.org/issues/1122 so tentatively assigning to digitalcircuit.

Associated revisions

Revision fce08b45 - 10/03/2020 06:07 PM - Shane Synan

common: Exclude ignored messages in buffer activity

Add a new message flag, 'lgnored’, tracking if the message matched an
ignore rule when received. In practice, this refers to dynamic ignore
rules (SoftStrictness), as permanent ignore rules (HardStrictness)

will drop the message entirely. Simple clients/bots may use this to
apply ignore rules without having to implement the entire regular
expression rules.

Exclude messages that match an ignore rule when updating
bufferActivity and highlightCount, fixing the appearance of new
activity/highlights from ignored messages.

Fixes #1511

NOTE: Using the 'lgnored' flag is not recommended for full clients as
they will need to locally reveal hidden messages when specific dynamic
ignore rules are disabled.

Clean up leftover comment on serializing sender prefixes.

Co-authored-by: Janne Koschinski <janne@kuschku.de>

History

#1 - 01/26/2019 06:59 AM - digitalcircuit

By "sending me highlight notifications", are you referring to the channel name changing color (orange by default) to show a highlight, or receiving a
pop-up notification/sound/etc?

If the former (changes color of channel name)...

It's a known issue given how those colors are calculated. Quassel keeps track of what kinds of messages have been received (join, part, message,
highlight) in an efficient way, asking the database to store it. This currently doesn't take into account Dynamic ignore rules.

Workaround: Switch the Dynamic ignore to Permanent. This will keep those messages from ever being saved to the database in the first place.
Ideally, Dynamic rules would work too; perhaps there's a different way to fix this.
If the latter (triggers a pop-up notification/etc)...

This is a new bug we haven't seen before.

#2 - 01/28/2019 12:39 PM - Smarter

digitalcircuit wrote:
https://bugs.quassel-irc.org/issues/1122
mailto:janne@kuschku.de

By "sending me highlight notifications", are you referring to the channel name changing color (orange by default) to show a highlight, or receiving
a pop-up notification/sound/etc?

It's the former indeed.
Workaround: Switch the Dynamic ignore to Permanent. This will keep those messages from ever being saved to the database in the first

place.

That worked, thanks!

#3 - 01/29/2019 02:16 AM - digitalcircuit

- Subject changed from Regression in 0.13: ignored messages still produce highlight notifications to Regression in 0.13: dynamically ignored
messages still produce highlight notifications (buffer activity)

- Target version set to Some future release

Thank you for confirming! I'm glad the workaround functions for now.

This is still a valid issue, so I'm leaving it open with a slightly clarified name.

#4 - 06/21/2020 12:10 AM - digitalcircuit
- Status changed from New to Confirmed

- Target version changed from Some future release to 0.14.0

This will be properly addressed with https:/github.com/quassel/quassel/pull/496 ; I'll try to get that tested in time for 0.14.0.

#5 - 10/03/2020 06:07 PM - Anonymous
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|fce08b4580057ae5d0515f8c68ed3f54c5ddbbc?2.
